:78 Function create_function() is deprecated [8192]

modifying the errMsg() fn so it doesn't exit the terminal but still returns a error code

Marcelo Ponce [2019-06-28 18:22:00]
modifying the errMsg() fn so it doesn't exit the terminal but still returns a error code
Filename
core/auxs/auxFns.sh
diff --git a/core/auxs/auxFns.sh b/core/auxs/auxFns.sh
index ae8b9eb..044fbbe 100755
--- a/core/auxs/auxFns.sh
+++ b/core/auxs/auxFns.sh
@@ -147,7 +147,7 @@ tock(){
 # helper fns for handling error messages
 pausee() { echo "----------------------------------------"; read -p "$*"; }
 msg() { echo "$0: $*" >&2; }
-errMsg() { msg "$*"; pausee 'Press [Enter] to continue...'; usage;  exit 111;}
+errMsg() { msg "$*"; pausee 'Press [Enter] to continue...'; usage;  return 1 2>/dev/null; exit 1;}
 try() { "$@" || errMsg "cannot $*"; }
 #######################################################
ViewGit